package com.ssj.service.conch.parents.dto;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * @author chchen
 */
public class LearningSituationDetailDto implements Serializable {
    private static final long serialVersionUID = 1L;

    private KnowledgeSkillDto knowledge;

    private KnowledgeSkillDto skill;

    private List<KnowledgePointDto> knowledgePoint;

    public LearningSituationDetailDto () {
        this.knowledgePoint = new ArrayList<>();
    }

    public KnowledgeSkillDto getKnowledge() {
        return knowledge;
    }

    public void setKnowledge(KnowledgeSkillDto knowledge) {
        this.knowledge = knowledge;
    }

    public KnowledgeSkillDto getSkill() {
        return skill;
    }

    public void setSkill(KnowledgeSkillDto skill) {
        this.skill = skill;
    }

    public List<KnowledgePointDto> getKnowledgePoint() {
        return knowledgePoint;
    }

    public void setKnowledgePoint(List<KnowledgePointDto> knowledgePoint) {
        this.knowledgePoint = knowledgePoint;
    }
}
